MultiFileWordCount (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples
Class MultiFileWordCount

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.examples.MultiFileWordCount

All Implemented Interfaces:
  Configurable, Tool

    public class MultiFileWordCount

extends Configured
implements Tool

MultiFileWordCount is an example to demonstrate the usage of MultiFileInputFormat. This examples counts the occurrences of words in the text files under the given input directory.

Nested Class Summary
`static class` | `MultiFileWordCount.MapClass` This Mapper is similar to the one in `MultiFileWordCount.MapClass`.
`static class` | `MultiFileWordCount.MultiFileLineRecordReader` RecordReader is responsible from extracting records from the InputSplit.
`static class` | `MultiFileWordCount.MyInputFormat` To use `MultiFileInputFormat`, one should extend it, to return a (custom) `RecordReader`.
`static class` | `MultiFileWordCount.WordOffset` This record keeps <filename,offset> pairs.

Constructor Summary
`MultiFileWordCount()`

Method Summary
`static void` | `main(String[] args)`
`int` | `run(String[] args)` Execute the command with the given arguments.

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### MultiFileWordCount

    public MultiFileWordCount()

Method Detail

### run

    public int run(String[] args)
            throws Exception

  Description copied from interface: `Tool`
  Execute the command with the given arguments.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation